Summary:	xinetd is a powerful replacement for inetd.
Name:		xinetd
Group:		System Environment/Daemons
License:	BSD
Version:	2.3.13
Release:	1
Source0:	http://www.xinetd.org/%{name}-%{version}.tar.gz
Source1:	xinetd.init
Source2:	xinetd.conf-gd-2
Requires:	libwrap
Prereq:		/sbin/chkconfig
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
xinetd is a powerful replacement for inetd.
xinetd has access control machanisms, extensive logging capabilities,
the ability to make services available based on time, and can place
limits on the number of servers that can be started, among other things.

xinetd has the ability to redirect TCP streams to a remote host and
port. This is useful for those of that use ip masquerading, or NAT,
and want to be able to reach your internal hosts.

xinetd also has the ability to bind specific services to specific
interfaces. This is useful when you want to make services available
for your internal network, but not the rest of the world.  Or to have
a different service running on the same port, but different interfaces.

%files
  %defattr(-,root,root)
  %doc INSTALL README CHANGELOG COPYRIGHT xinetd/sample.conf
  %doc %{_mandir}/man3/*

  %attr(0640,root,admin)	%config %{_sysconfdir}/xinetd.conf
  %attr(0750,root,admin)	%dir %{_sysconfdir}/xinetd.d
  %attr(0700,root,root)		%{_sysconfdir}/init.d/xinetd
  %attr(0500,root,root)		%{_sbindir}/itox
  %attr(0500,root,root)		%{_sbindir}/xinetd

%prep
%setup -q
%build
  %configure --with-libwrap --with-loadavg
  make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"
  cp -p libs/src/sio/README README-libsio
  cp -p libs/src/str/README README-libstr
  cp -p libs/src/misc/README README-libmisc

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_includedir}/xinetd
  mkdir -p $RPM_BUILD_ROOT/%{_libdir}/xinetd
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
  mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/init.d
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d

  %makeinstall PREFIX=$RPM_BUILD_ROOT/%{_prefix} DAEMONDIR=$RPM_BUILD_ROOT/%{_sbindir}
  install %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/xinetd
  install %{SOURCE2} $RPM_BUILD_ROOT/etc/xinetd.conf

  strip $RPM_BUILD_ROOT/%{_sbindir}/xinetd

  make LIBDIR=$RPM_BUILD_ROOT/%{_libdir}/xinetd \
       INCLUDEDIR=$RPM_BUILD_ROOT/%{_includedir}/xinetd \
       MANDIR=$RPM_BUILD_ROOT%{_mandir}/man3 makelibs

  # Remove unpackaged files.
  rm -rf $RPM_BUILD_ROOT/%{_includedir}
  rm -rf $RPM_BUILD_ROOT/%{_libdir}
  rm -rf $RPM_BUILD_ROOT/%{_sbindir}/xconv.pl

%post
  /sbin/chkconfig --add xinetd

  if test -r /var/lock/subsys/xinetd; then
	/etc/init.d/xinetd restart >&2
  fi

%preun
  if [ $1 = 0 ]; then
	/sbin/chkconfig --del crond
	/etc/init.d/xinetd stop
  fi

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.3.13, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
